save

Members
  • Content count

    7
  • Joined

  • Last visited

Community Reputation

0 Neutral

About save

  • Rank
    Freshman
  1. maxthon support needed

    as for me it gives me this error only with maxthon as i posted before it works fine with firefox hope maxthon team discover the cause of this thanks for your help
  2. maxthon support needed

    it fixed it but only when maxthon downloader is default downloader when i use idm as default downloader in setting the problem appear again i will waiting for new version of maxthon portable hope they fix it
  3. maxthon support needed

    this using maxthon downloader this using idm but when i use firefox instead of maxthon download with no problem
  4. maxthon support needed

    any subtitle from subscene.com you can try any one
  5. maxthon support needed

    the error message disappeared but the download failed unfortunately
  6. because i can't make a topic in support forum i did it here i'm using maxthon 5.2.7.2000 portable can't download from subscene.com by internet download manager or by maxthon downloader from firefox i can download with no problem from subscene subscene is the only site i can't download from maxthon